package com.tuoheng.admin.enums;

import lombok.Getter;

/**
 * @Author ChengWang
 * @Date 2023/4/23
 */
public enum InspectionTaskTypeEnum {

    CYCLE_INSPECTION(0, "周期任务"),
    TEMPORARY_INSPECTION(1, "单次任务"),
    EMERGENCY_INSPECTION(2, "应急任务");

    InspectionTaskTypeEnum(int code, String description) {
        this.code = code;
        this.description = description;
    }

    @Getter
    private int code;

    @Getter
    private String description;
}
